<?php
namespace Sella\Apppago\Api\Data;

class OrderData
{
    private $cartId;
    private $paymentMethod;
    private $vatMethod;
    private $ivaOrIban;

    /**
     * Get cart ID
     *
     * @return string
     */
    public function getCartId(): ?string
    {
        if ($this->cartId === null) {
            throw new \Exception('Cart ID not set');
        }
        return $this->cartId;
    }

    /**
     * Set cart ID
     *
     * @param string $cartId
     * @return void
     */
    public function setCartId(?string $cartId): void
    {
        $this->cartId = $cartId;
    }

    /**
     * Get payment method
     *
     * @return string
     */
    public function getPaymentMethod(): ?string
    {
        if ($this->paymentMethod === null) {
            throw new \Exception('Payment method not set');
        }
        return $this->paymentMethod;
    }

    /**
     * Set payment method
     *
     * @param string $paymentMethod
     * @return void
     */
    public function setPaymentMethod(?string $paymentMethod): void
    {
        $this->paymentMethod = $paymentMethod;
    }

    /**
     * Get vat method
     *
     * @return string
     */
    public function getVatMethod(): ?string
    {
        if ($this->vatMethod === null) {
            throw new \Exception('Vat method not set');
        }
        return $this->vatMethod;
    }

    /**
     * Set vat method
     *
     * @param string $vatMethod
     * @return void
     */
    public function setVatMethod(?string $vatMethod): void
    {
        $this->vatMethod = $vatMethod;
    }

    /**
     * Get ivaOrIban method
     *
     * @return string
     */
    public function getIvaOrIban(): ?string
    {
        if ($this->ivaOrIban === null) {
            throw new \Exception('ivaOrIban not set');
        }
        return $this->ivaOrIban;
    }

    /**
     * Set ivaOrIban method
     *
     * @param string $ivaOrIban
     * @return void
     */
    public function setIvaOrIban(?string $ivaOrIban): void
    {
        $this->ivaOrIban = $ivaOrIban;
    }
}
