<?php
namespace Sella\Apppago\Api\Data;

interface UpdateResultInterface
{
    /**
     * Get success status.
     *
     * @return bool
     */
    public function getSuccess(): bool;

    /**
     * Set success status.
     *
     * @param bool $success
     * @return void
     */
    public function setSuccess(bool $success): void;

    /**
     * Get the order ID.
     *
     * @return string
     */
    public function getOrderId(): string;

    /**
     * Set the order ID.
     *
     * @param string $orderId
     * @return void
     */
    public function setOrderId(string $orderId): void;

    /**
     * Get the updated status.
     *
     * @return string
     */
    public function getStatus(): string;

    /**
     * Set the updated status.
     *
     * @param string $status
     * @return void
     */
    public function setStatus(string $status): void;
}
