<?php

namespace Sella\Apppago\Controller;

use Magento\Framework\App\Action\Context;
use Sella\Apppago\Model\AddOrder;
use Magento\Framework\Controller\ResultFactory;

class CreateOrder extends \Magento\Framework\App\Action\Action
{
    protected $addOrder;
    protected $resultFactory;

    public function __construct(
        Context $context,
        AddOrder $addOrder,
        ResultFactory $resultFactory
    ) {
        parent::__construct($context);
        $this->addOrder = $addOrder;
        $this->resultFactory = $resultFactory;
    }

    public function execute()
    {
        $data = $this->getRequest()->getPostValue();
        $resultJson = $this->resultFactory->create(\Magento\Framework\Controller\ResultFactory::TYPE_JSON);

        try {
            $response = $this->addOrder->createOrder($data);
            $resultJson->setData(['success' => true, 'message' => 'Order created successfully']);
        } catch (\Exception $e) {
            $resultJson->setData(['success' => false, 'message' => $e->getMessage()]);
        }

        return $resultJson;
    }
}
