<?php
namespace Sella\Apppago\Controller\Payment;

use Magento\Framework\App\Action\Action;
use Magento\Framework\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;
use Sella\Apppago\Model\CallbackOrderUpdateStatus;

class Callback extends Action
{
    protected $resultPageFactory;
    protected $rderUpdateStatus;
    protected $callbackOrderUpdateStatus;

    public function __construct(
        Context $context,
        PageFactory $resultPageFactory,
        CallbackOrderUpdateStatus $callbackOrderUpdateStatus
    ) {
        $this->resultPageFactory = $resultPageFactory;
        $this->callbackOrderUpdateStatus = $callbackOrderUpdateStatus;
        parent::__construct($context);
    }

    public function execute()
    {
        $params = $this->getRequest()->getParams();

        // get data interface
        $result = $params['result'] ?? null;
        $merchantTx = $params['merchantTx'] ?? null;
        $contract_number = $params['contract_number'] ?? null;
        $checkDigit = $params['checkDigit'] ?? null;


        $this->CallbackOrderUpdateStatus->getOrderStatus($result, $merchantTx, $contract_number, $checkDigit);
    }
}
