<?php

namespace Sella\Apppago\Model;

use Sella\Apppago\Api\OrderUpdateInterface;
use Magento\Sales\Api\OrderRepositoryInterface;
use Sella\Apppago\Api\Data\UpdateResultInterface;
use Sella\Apppago\Model\UpdateResultFactory;


class OrderUpdateStatus implements OrderUpdateInterface
{
    protected $orderRepository;
    protected $updateResultFactory;

    public function __construct(OrderRepositoryInterface $orderRepository, UpdateResultFactory $updateResultFactory)
    {
        $this->orderRepository = $orderRepository;
        $this->updateResultFactory = $updateResultFactory;
    }

    public function update($orderId, $status, $contractNumber): UpdateResultInterface
    {

        $order = $this->orderRepository->get($orderId);
        // if status === 'completed' then set 'Processing' status
        if($status === 'completed') {
            $status = 'processing';
        } elseif ($status === 'refused') {
            $status = 'canceled';
        }
        
        $order->setState($status, true);
        $order->setStatus($status);
        $this->orderRepository->save($order);

        $response = $this->updateResultFactory->create();
        $response->setOrderId($orderId);
        $response->setStatus($status);
        $response->setSuccess(true);
        
        return $response;
    }
}
