<?php
namespace Sella\Apppago\Observer;

use Magento\Framework\Event\ObserverInterface;

class Paymentmethoddisable implements ObserverInterface
{
    protected $checkoutSession;
    protected $_logger;

    public function __construct(
        \Magento\Checkout\Model\Session $checkoutSession,
        \Psr\Log\LoggerInterface $logger
    ) {
        $this->checkoutSession = $checkoutSession;
        $this->_logger = $logger;
    }

    /**
     * @param Observer $observer
     *
     * @return void
     */

    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        if ($observer->getEvent()->getMethodInstance()->getCode() == "app_pago") {  // Here you can replace required payment method code
            $quote = $this->checkoutSession->getQuote();
            //get total
            $total = $quote->getGrandTotal();
            $total = (int) round($total);
            if ($total < 200) {
                $this->_logger->error("total is less than 200");
                $checkResult = $observer->getEvent()->getResult();
                $checkResult->setData('is_available', false);
            } else {
                $this->_logger->error('total is greater than 200');
            }

        }
    }
}