<?php

namespace Sella\Apppago\Plugin;

use Magento\Framework\Exception\AuthorizationException;
use Magento\Framework\Webapi\Rest\Request;
use Magento\Config\Model\Config;
use Magento\Store\Model\ScopeInterface;
use Magento\Framework\App\Config\ScopeConfigInterface;

class ApiKeyCheckPlugin
{
    protected $request;
    protected $scopeConfig;

    public function __construct(
        Request $request,
        ScopeConfigInterface $scopeConfig
    ) {
        $this->request = $request;
        $this->scopeConfig = $scopeConfig;
    }

    public function beforeUpdate($subject, $orderId, $status, $contractNumber)
    {
        $apiKey = $this->request->getHeader('x-api-key');
        
        $knownApiKey = $this->scopeConfig->getValue('payment/general/api_key', ScopeInterface::SCOPE_STORE);

        if ($apiKey !== $knownApiKey) {
            throw new AuthorizationException(__('Invalid API Key' . $apiKey . ' ' . $knownApiKey));
        }

        return [$orderId, $status, $contractNumber];
    }
}
