define([
  "Magento_Checkout/js/view/payment/default",
  "ko",
  "Sella_Apppago/js/view/payment/dynamicFormPaymentMethod",
  "Sella_Apppago/js/action/callServer",
  "Magento_Customer/js/model/customer",
  "Magento_Checkout/js/model/url-builder",
  "mage/storage",
  "Magento_Checkout/js/model/quote",
], function (
  Component,
  ko,
  dynamicFormPaymentMethod,
  callServer,
  customer,
  urlBuilder,
  storage,
  quote
) {
  "use strict";

  return Component.extend({
    defaults: {
      template: "Sella_Apppago/payment/app_pago",
    },
    initialize: function () {
      var self = this;
      self._super();

      self.dynamicForm = dynamicFormPaymentMethod;

      return self;
    },
    placeOrder: function (data, event) {
      if (event) {
        event.preventDefault();
      }

      if (this.validate()) {
        var self = this;

        var cartId, getCartInfoUrl;
        if (!customer.isLoggedIn()) {
          cartId = quote.getQuoteId();
          getCartInfoUrl = urlBuilder.createUrl("/guest-carts/" + cartId, {});
        } else {
          cartId = quote.getQuoteId();
          getCartInfoUrl = urlBuilder.createUrl("/carts/mine", {});
        }

        storage.get(getCartInfoUrl).done(function (response) {
          var cartIdResponse = response.id;
          // get vatInput from radio button checked name="vat_user" in the form
          var vatMethod = document.getElementById("vat_user").value;
          var ivaOrIban = "iban";
          var paymentData = {
            data: {
              cartId: cartIdResponse,
              paymentMethod: quote.paymentMethod().method,
              vatMethod: vatMethod,
              ivaOrIban: ivaOrIban,
            },
          };

          var serviceUrl = urlBuilder.createUrl("/apppago/addOrder", {});

          storage
            .post(serviceUrl, JSON.stringify(paymentData))
            .done(function (response) {
              if (response) {
                window.location.href = response;
              }
            })
            .fail(function (response) {
              console.log("Error ", response);
            });
        });

        return true;
      }

      return false;
    },
  });
});
